PDA

View Full Version : Where to find LW 8.5 update



THREEL
11-03-2010, 10:28 PM
Hi everyone!

This has probably been asked before, but I can't find anything on the subject. I was wondering where I need to go to find the update for LW v8.5? I'm on v8.3, now. I'd love to upgrade to v10, but can't afford to, right now.

My computer locked up on me to the point that I couldn't even run a System Restore on it. So, I had to wipe my programs' hard drive clean and start from scratch. I looked on NewTek's site and couldn't find a download for it.

Thanks for any and all help!

nickdigital
11-03-2010, 10:38 PM
Have you checked your My Downloads page in your Registration?

THREEL
11-03-2010, 10:44 PM
Am I going to have to re-register the 8.3 version again? I thought they'd already have that info and wouldn't want me to resubmit. I said "no," when I was prompted to register, because I figured I already was.

nickdigital
11-03-2010, 10:50 PM
You shouldn't need to re-register. All your info should still be in there from when you bought/registered 8. And since you're looking for a point upgrade it should already be in your list of available downloads.

Your existing 8.3 license key will work with 8.5 so there's no point to re-register.

RudySchneider
11-03-2010, 10:55 PM
You need to sign-in to the Registration page so you can access your downloads:

Paul_Boland
11-05-2010, 08:59 PM
Lightwave 8 user here. Unless Newtek updated the 8.5 patch, note that you must install 8.3 first. Install Lightwave 8.0 from the disc. Then 8.3 patch and then 8.5 patch. The reason for this is the 8.5 patch doesn't contain an update to the dongle sentinel drivers which is needed. 8.3 has it. So 8.0 first, 8.3 next to update the sentinel drivers, and then 8.5 to bring your version 8 installation up to date.

Silkrooster
11-05-2010, 09:59 PM
Lightwave 8 user here. Unless Newtek updated the 8.5 patch, note that you must install 8.3 first. Install Lightwave 8.0 from the disc. Then 8.3 patch and then 8.5 patch. The reason for this is the 8.5 patch doesn't contain an update to the dongle sentinel drivers which is needed. 8.3 has it. So 8.0 first, 8.3 next to update the sentinel drivers, and then 8.5 to bring your version 8 installation up to date.

You shouldn't need to install 8.0 as 8.3 is a full install.

Paul_Boland
11-05-2010, 10:06 PM
You shouldn't need to install 8.0 as 8.3 is a full install.

I just checked my saved copy of the 8.3 patch and here's a quote from the Readme file from it:

"Once you have downloaded the appropriate file, navigate to the folder where you placed the file, and double-click on the file to execute the installer. When you are asked where to install the update, be sure to select the folder in which your current copy of LightWave 3D [8] is located. This is required in order for the installer will place all the new files in the proper locations within that folder."

So I think the 8.3 update is just that, an update and not a stand alone full installation.